# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=crystal-branding
_pkgname=branding
pkgver=2022.11.19
pkgrel=8
pkgdesc='Crystal Linux branding'
arch=('any')
url="https://gitlab.com/crystal-linux/misc/${_pkgname}"
license=('GPL-3.0-only')
depends=('lsb-release')
install="${pkgname}.install"
source=("${url}/-/archive/${pkgver}/${_pkgname}-${pkgver}.tar.gz"
	"os-release_crystal"
	"issue_crystal"
	"lsb-release_crystal")
sha256sums=('6ef6a10d9884372b0b6379ef39f370f8e42326042603e27316b8b97d30ae0afe'
            'c44570f36e1c271e3f928c3bd37c12d3718d02c16089620df4e2bae3ed53b571'
            'af9064feb584990461d65dc4810aec4395754924b3fea564b84b8d76d47538f6'
            '2bd31d1d5dcc0ce320c288ffe62f1e87cb5705d041825fb0f104425f7a10991f')

package () {
    cd "${_pkgname}-${pkgver}"
    install -Dm 644 logos/crystal-logo.png "${pkgdir}/usr/share/pixmaps/crystal-logo.png"
    install -Dm 644 ../os-release_crystal "${pkgdir}/etc/os-release_crystal"
    install -Dm 644 ../os-release_crystal "${pkgdir}/usr/lib/os-release_crystal"
    install -Dm 644 ../issue_crystal "${pkgdir}/etc/issue_crystal"
    install -Dm 644 ../lsb-release_crystal "${pkgdir}/etc/lsb-release_crystal"
}
